import request from '../index'
const prefix = 'resource/customer'

export function getSituationReportList(data: any) {
  return request({
    url: `${prefix}/situationReport/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

// 保存
export function saveSituationReport(data: object) {
  return request({
    url: `${prefix}/situationReport/add`,
    method: 'post',
    data,
  })
}

// 编辑
export function updateSituationReport(data: object) {
  return request({
    url: `${prefix}/situationReport/update`,
    method: 'post',
    data,
  })
}

// 查询详情
export function detailSituationReport(data: object) {
  return request({
    url: `${prefix}/situationReport/detail`,
    method: 'post',
    data,
  })
}

// 删除
export function deleteSituationReport(data: object) {
  return request({
    url: `${prefix}/situationReport/delete`,
    method: 'post',
    data,
  })
}
